
From: Jens Axboe <axboe@suse.de>

Takashi did some nice latency testing of the current kernel (with -mm
writeback changes), and the biggest offender in general core is
mpage_writepages().


---

 25-akpm/fs/mpage.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/mpage.c~mpage_writepages-latency-fix fs/mpage.c
--- 25/fs/mpage.c~mpage_writepages-latency-fix	2004-04-03 03:00:17.213614688 -0800
+++ 25-akpm/fs/mpage.c	2004-04-03 03:00:17.217614080 -0800
@@ -679,6 +679,7 @@ retry:
 			}
 		}
 		pagevec_release(&pvec);
+		cond_resched();
 	}
 	if (!scanned && !done) {
 		/*

_
